Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.bio.entity.factory
Class OntologyTabFactory

    java.lang.Object
      org.metaqtl.bio.entity.factory.BioEntityFactory
          org.metaqtl.bio.entity.factory.OntologyTabFactory

    public class OntologyTabFactory

extends BioEntityFactory

A factory to deal with `Ontology`.

Field Summary
`static java.lang.String[]` | `HEADER`

Constructor Summary
`OntologyTabFactory()`

Method Summary
`IBioEntity` | `load(java.io.InputStream inputStream)`
`IBioEntity` | `load(java.io.Reader reader)` Term_id : the term identifient.
`void` | `unload(IBioEntity entity, java.io.OutputStream stream)`
`void` | `unload(IBioEntity entity, java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER

    public static final java.lang.String[] HEADER

Constructor Detail

### OntologyTabFactory

    public OntologyTabFactory()

Method Detail

### load

    public IBioEntity load(java.io.InputStream inputStream)
                    throws java.io.IOException

  Specified by:
    `load` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### load

    public IBioEntity load(java.io.Reader reader)
                    throws java.io.IOException

  - Term_id : the term identifient.
  - Term_name : the term name
  - Parent_id : the term parent id
  - Synonyms : the synonyms
  - Definition : the definition of the term

  Specified by:
    `load` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### unload

    public void unload(IBioEntity entity,
                       java.io.Writer writer)
                throws java.io.IOException

  Specified by:
    `unload` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### unload

    public void unload(IBioEntity entity,
                       java.io.OutputStream stream)
                throws java.io.IOException

  Specified by:
    `unload` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD